#include <iostream>
#include <cstdlib>
using namespace std;
int main()
{
	string izlaz="";
	char c1,c2;
	int a1,a2;
	cin>>c1>>c2;
	cin>>a1>>a2;
	if(abs(a1-a2)<=1 && (c1!=c2)){
		if (a1>a2){
			izlaz=c1;
			for(int i=1; i<=a2; i++){
				izlaz=izlaz+c2+c1;
			}
		}
		if (a2>a1){
			izlaz=c2;
			for(int i=1; i<=a1; i++){
				izlaz=izlaz+c1+c2;
			}
		}
		if(a1==a2){
			izlaz="";
			for(int i=1; i<=a1; i++){
				izlaz=izlaz+c1+c2;
			}
		}
		cout<<izlaz;
	}
	else{
		cout<<"nemoguce";
	}
}